tabulate {base} | R Documentation

## Tabulation for Vectors

### Description

`tabulate` takes the integer valued vector `bin` and counts the number of times each integer occurs in it. `tabulate` is used as the basis of the `table` function.

### Usage

    tabulate(bin, nbin=max(1,bin))

### Arguments

`bin` | a vector of integers, or a factor.
`nbins` | the number of bins to be used.

### Details

If `bin` is a factor, its internal integer representation is tabulated. If the elements of `bin` are not integers, they are rounded to the nearest integer. Elements outside the range `1,..., nbin` are (silently) ignored in the tabulation.

### See Also

`factor`, `table`.

### Examples

    tabulate(c(2,3,5))
    tabulate(c(2,3,3,5), nb = 10)
    tabulate(c(-2,0,2,3,3,5), nb = 3)
    tabulate(factor(letters[1:10]))

[Package Contents]